/*
 ============================================================================
 Name        : Uart.h
 Author      : Alexander Vovk
 Version     :
 Created on  : Oct 23, 2011
 Copyright   : RT-ED
 Description :
 ============================================================================
 ============================================================================
 */
#include "_Uart.h"

#ifndef UART_H_
#define UART_H_


void Uart_Printf(char *, ...);
void Uart_Printf_(U32, char *, ...);
void Uart_SendByte(char);
void Uart_SendString(char *);
char Uart_Getch(void);
char Uart_GetKey(void);
void Uart_GetString(char *);
int Uart_GetIntNum(void);

//struct xUart {
//	U32 WhichUart;
//	void (*printf)(char *, ...);
//	void (*printf_)(U32, char *, ...);
//
//} Uart0, Uart1, Uart2;

#endif /* UART_H_ */
