/*
 ============================================================================
 Name        : _Uart.h
 Author      : Alexander Vovk
 Version     :
 Created on  : Oct 8, 2011
 Copyright   : RT-ED
 Description :
 ============================================================================
 ============================================================================
 */

#ifndef _UART_H_
#define _UART_H_

#include "types.h"
#include "defs.h"
#include "_Uart_Addr.h"
#include <stdio.h>


void _Uart_Init(U32 u32Pclk, U32 u32baud, U32 u32WhichTxUART);
void _Uart_SendChar(U32 u32WhichTxUART, char cChar);
void _Uart_SendString(U32 u32WhichTxUART, char *sString);

#endif /* _UART_H_ */
