#ifndef __ADDRESSES_H
#define __ADDRESSES_H

#ifdef MINI2440

#define NFCONF		((volatile unsigned *)0x4E000000)		//NAND Flash configuration
#define NFCONT		((volatile unsigned *)0x4E000004)      //NAND Flash control
#define NFCMD		((volatile unsigned *)0x4E000008)      //NAND Flash command
#define NFADDR		((volatile unsigned *)0x4E00000C)      //NAND Flash address
#define NFDATA		((volatile unsigned *)0x4E000010)      //NAND Flash data
#define NFDATA8	((volatile unsigned char *)0x4E000010)     //NAND Flash data
// #define NFDATA		(0x4E000010)      //NAND Flash data address
#define NFMECCD0	((volatile unsigned *)0x4E000014)      //NAND Flash ECC for Main Area
#define NFMECCD1	((volatile unsigned *)0x4E000018)
#define NFSECCD	((volatile unsigned *)0x4E00001C)		//NAND Flash ECC for Spare Area
#define NFSTAT		((volatile unsigned *)0x4E000020)		//NAND Flash operation status
#define NFESTAT0	((volatile unsigned *)0x4E000024)
#define NFESTAT1	((volatile unsigned *)0x4E000028)
#define NFMECC0	((volatile unsigned *)0x4E00002C)
#define NFMECC1	((volatile unsigned *)0x4E000030)
#define NFSECC		((volatile unsigned *)0x4E000034)
#define NFSBLK		((volatile unsigned *)0x4E000038)		//NAND Flash Start block address
#define NFEBLK		((volatile unsigned *)0x4E00003C)		//NAND Flash End block address

#endif /* MINI2440 */

#endif /* __ADDRESSES_H */
